.TH "VarVector" 3 "AlatZaAnalitiku" \" -*- nroff -*-
.ad l
.nh
.SH NAME
VarVector
.SH SYNOPSIS
.br
.PP
.PP
\fR#include <dataframe\&.h>\fP
.SS "Public Member Functions"

.in +1c
.ti -1c
.RI "\fBVarVector\fP ()"
.br
.ti -1c
.RI "\fBVarVector\fP (\fBTYPE\fP t, QVector< QString > \fBvars\fP)"
.br
.ti -1c
.RI "QString \fBoperator[]\fP (int x)"
.br
.ti -1c
.RI "\fBTYPE\fP \fBtype\fP ()"
.br
.ti -1c
.RI "QVector< QString > \fBvars\fP ()"
.br
.ti -1c
.RI "void \fBpush_back\fP (const QString &x)"
.br
.ti -1c
.RI "void \fBset_type\fP (\fBTYPE\fP t)"
.br
.ti -1c
.RI "std::unordered_map< QString, int > \fBvalueCounts\fP ()"
.br
.in -1c
.SS "Private Attributes"

.in +1c
.ti -1c
.RI "\fBTYPE\fP \fB_t\fP"
.br
.ti -1c
.RI "QVector< QString > \fB_vars\fP"
.br
.in -1c
.SH "Constructor & Destructor Documentation"
.PP 
.SS "VarVector::VarVector ()"

.SS "VarVector::VarVector (\fBTYPE\fP t, QVector< QString > vars)"

.SH "Member Function Documentation"
.PP 
.SS "QString VarVector::operator[] (int x)"

.SS "void VarVector::push_back (const QString & x)"

.SS "void VarVector::set_type (\fBTYPE\fP t)"

.SS "\fBTYPE\fP VarVector::type ()"

.SS "std::unordered_map< QString, int > VarVector::valueCounts ()"

.SS "QVector< QString > VarVector::vars ()"

.SH "Member Data Documentation"
.PP 
.SS "\fBTYPE\fP VarVector::_t\fR [private]\fP"

.SS "QVector<QString> VarVector::_vars\fR [private]\fP"


.SH "Author"
.PP 
Generated automatically by Doxygen for AlatZaAnalitiku from the source code\&.
